Sync hildon-theme-tools 0.5.2.debian.1-2 (universe) from Debian unstable (main)

Bug #584599 reported by Artur Rona on 2010-05-23
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
hildon-theme-tools (Ubuntu)
Wishlist
Unassigned

Bug Description

Please sync hildon-theme-tools 0.5.2.debian.1-2 (universe) from Debian unstable (main)

Explanation of the Ubuntu delta and why it can be dropped:
Ubuntu package has forwarded to Debian and expanded there.

Changelog entries since current maverick version 0.5.0-1ubuntu4:

hildon-theme-tools (0.5.2.debian.1-2) unstable; urgency=low

  * debian/control:
    + Add quilt build-dep.
    + Upped Standards-Version. (no changes)
  * debian/rules: Include update-patches.mk and quilt.make and add calls
    to {,un}patch quilt targets.
  * debian/patches/:
    + 0001-Use-correct-types-to-fix-build-on-amd64.patch: Added to make
      sure we use the correct signedness and type size. This fixes a FTBFS
      of hildon-theme-plankton on amd64. (Closes: 534034)

 -- Jonny Lamb <email address hidden> Thu, 15 Oct 2009 10:07:38 +0100

hildon-theme-tools (0.5.2.debian.1-1) unstable; urgency=low

  [ Jonny Lamb ]
  * Merged with trunk branch.
  * debian/control:
    + Set Maintainer to Debian Maemo Maintainers.
    + Added Loic, myself and Riku to Uploaders.
    + Wrap deps and build-deps.
    + Bump Standards-Version to 3.8.1.
    + Update package description.
    + Added Depends on ${shlibs:Depends} and ${misc:Depends}.
  * debian/compat: Bump up debhelper compat to 5.
  * debian/rules: Remove commented dh_* calls.
  * debian/rules: Added.
  * debian/copyright: Updated.
  * debian/README.source: Added.
  * debian/gbp.conf: Added git-buildpackage config file.
  * debian/update-patches.mk: Added.
  * debian/watch: Added dversionmangle option to remove ".debian"
    from upstream version.

  [ Loic Minier ]
  * Cleanup rules.
  * Wrap Uploaders.
  * Honor failures of make maintainer-clean.

 -- Jonny Lamb <email address hidden> Tue, 07 Apr 2009 18:36:41 +0100

hildon-theme-tools (0.5.2-1) unstable; urgency=low

  * Updated repo addresses for bootstrap tool
  * Mention the CC license instead of the GPL license

 -- Michael Dominic Kostrzewa <email address hidden> Thu, 16 Aug 2007 15:08:04 +0300

hildon-theme-tools (0.5.1-1) unstable; urgency=low

  * Fixing the memory allocation problem
  * Updated repo addresses for bootstrap tool

 -- Michael Dominic Kostrzewa <email address hidden> Tue, 19 Jun 2007 12:13:51 +0300

Artur Rona (ari-tczew) on 2010-05-23
description: updated
Benjamin Drung (bdrung) on 2010-05-24
Changed in hildon-theme-tools (Ubuntu):
importance: Undecided → Wishlist
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hildon-theme-tools - 0.5.2.debian.1-2

---------------
hildon-theme-tools (0.5.2.debian.1-2) unstable; urgency=low

  * debian/control:
    + Add quilt build-dep.
    + Upped Standards-Version. (no changes)
  * debian/rules: Include update-patches.mk and quilt.make and add calls
    to {,un}patch quilt targets.
  * debian/patches/:
    + 0001-Use-correct-types-to-fix-build-on-amd64.patch: Added to make
      sure we use the correct signedness and type size. This fixes a FTBFS
      of hildon-theme-plankton on amd64. (Closes: 534034)

hildon-theme-tools (0.5.2.debian.1-1) unstable; urgency=low

  [ Jonny Lamb ]
  * Merged with trunk branch.
  * debian/control:
    + Set Maintainer to Debian Maemo Maintainers.
    + Added Loic, myself and Riku to Uploaders.
    + Wrap deps and build-deps.
    + Bump Standards-Version to 3.8.1.
    + Update package description.
    + Added Depends on ${shlibs:Depends} and ${misc:Depends}.
  * debian/compat: Bump up debhelper compat to 5.
  * debian/rules: Remove commented dh_* calls.
  * debian/rules: Added.
  * debian/copyright: Updated.
  * debian/README.source: Added.
  * debian/gbp.conf: Added git-buildpackage config file.
  * debian/update-patches.mk: Added.
  * debian/watch: Added dversionmangle option to remove ".debian"
    from upstream version.

  [ Loic Minier ]
  * Cleanup rules.
  * Wrap Uploaders.
  * Honor failures of make maintainer-clean.

hildon-theme-tools (0.5.2-1) unstable; urgency=low

  * Updated repo addresses for bootstrap tool
  * Mention the CC license instead of the GPL license

hildon-theme-tools (0.5.1-1) unstable; urgency=low

  * Fixing the memory allocation problem
  * Updated repo addresses for bootstrap tool

hildon-theme-tools (0.5.0-1ubuntu4) gutsy; urgency=low

  * Install ChangeLog and debian/copyright in binary package.
  * Remove *.o files from source package.

hildon-theme-tools (0.5.0-1ubuntu3) gutsy; urgency=low

  * Build-Depends: autoconf, automake1.7, libtool (to get things building)

hildon-theme-tools (0.5.0-1ubuntu2) gutsy; urgency=low

  [ Adilson Oliveira ]
  * Adjusted control dependency to match stock Gtk.
  * Replaced g_free() with g_key_file_free() in common.c.
    The use of g_free() was crashing the program.
 -- Artur Rona <email address hidden> Thu, 15 Oct 2009 10:07:38 +0100

Changed in hildon-theme-tools (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers